> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team usage

> Team-level quota consumption for the current billing period.



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/usage
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: V1.IpWhitelist
    description: Public API v1 — IP whitelist management
  - name: V1.ProxyAccount
    description: Public API v1 — proxy account provisioning and lifecycle
  - name: V1.ProxyProfile
    description: Public API v1 — proxy profile management
  - name: V1.Subscription
    description: Public API v1 — team subscription (read-only)
  - name: V1.Tag
    description: Public API v1 — tag management
  - name: V1.Traffic
    description: Public API v1 — traffic time series (read-only)
  - name: V1.Usage
    description: Public API v1 — quota usage (read-only)
paths:
  /api/v1/teams/{team_id}/usage:
    get:
      tags:
        - V1.Usage
      summary: Get team usage
      description: Team-level quota consumption for the current billing period.
      operationId: public_v1_team_get_usage
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: V1.Usage resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1.Usage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    V1.Usage:
      type: object
      description: Public API v1 — quota usage (read-only)
      properties:
        quota_bytes:
          default: 0
          type: integer
        consumption_bytes:
          default: 0
          type: integer
        remaining_bytes:
          default: 0
          type: integer
        proxy_account_quota:
          default: 0
          type: integer
        proxy_accounts_used:
          default: 0
          type: integer
        period:
          anyOf:
            - $ref: '#/components/schemas/UsagePeriodResource'
            - type: 'null'
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    UsagePeriodResource:
      type: object
      properties:
        from:
          type:
            - string
            - 'null'
          format: date-time
        to:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the Api-Key header parameter.
      name: Api-Key
      in: header

````